send analytic activities
curl --request POST \
--url https://apix.us.amity.co/api/v1/analytics/activities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activities": [
{
"contentId": "60e4b1b4b3b2b5c4c4b3b2b5",
"timestamp": "2017-07-21T17:32:28Z"
}
]
}
'import requests
url = "https://apix.us.amity.co/api/v1/analytics/activities"
payload = { "activities": [
{
"contentId": "60e4b1b4b3b2b5c4c4b3b2b5",
"timestamp": "2017-07-21T17:32:28Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activities: [{contentId: '60e4b1b4b3b2b5c4c4b3b2b5', timestamp: '2017-07-21T17:32:28Z'}]
})
};
fetch('https://apix.us.amity.co/api/v1/analytics/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Parameters validation error!."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Analytic
send analytic activities
Send a batch of analytic activities to the server, currently only support viewing post/story and story link clicked activities.
- For viewing post/story activity, the
impressionandreachof the post/story will be updated list of users from/api/v1/analytics/views/posts/{postId}/userswill be updated too. (but not immediately)
POST
/
api
/
v1
/
analytics
/
activities
send analytic activities
⌘I